## mymenu 0.4.4-1

=== debian/changelog ===
mymenu (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Manzn <maemo@3ion.at>  Sun, 14 Jan 2010 00:01:17 +0100
    
    0.4.4
		* Check for Error after Install or Update
		** if there is an Error MyMenu change back to the original menu structure
		* Install log under /home/user/MyDocs/mymenu.log

    0.4.3
		* Folder will just list if there is an application for it
		* Translation for following languages: en_GB, en_US, es_MX, nl_NL, pt_BR, no_NO, fi_FI, it_IT, fr_CA, da_DK, pt_PT, sv_SE, fr_FR, es_ES,ru_RU, de_DE 
		* change of the *.directory files to /usr/share/applications/hildon/directory
		* no multiple invocations of update-menu
		* new icon-set
		* change Section: x11 to Section: user/desktop

## mymenu 0.4.4-2

=== Makefile ===
pkg_packages := gtk+-2.0 hildon-1
PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))
ADD_CFLAGS := -Wall 
CFLAGS  := $(PKG_CFLAGS) $(ADD_CFLAGS) $(CFLAGS)
LDFLAGS := $(PKG_LDFLAGS) $(LDFLAGS)
targets =   mymenu-update-info

.PHONY: all

all: $(targets)
$(MAKE) install DESTDIR=$(CURDIR)/mymenu-0.4.5/debian/


 $(DESTDIR)mymenu-update-info:  mymenu-update-info.o 
	$(CC) $^  -o $@ $(LDFLAGS)

 mymenu-update-info.c.o:  mymenu-update-info.c
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	rm -f $(targets) *.o

=== debian/changelog ===
mymenu (0.4.4-2) stable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Manzn <maemo@3ion.at>  Sun, 14 Jan 2010 00:01:17 +0100

    0.4.4-2
		* Set depence for Wget - was missing
    
    0.4.4-1
		* Check for Error after Install or Update
		** if there is an Error MyMenu change back to the original menu structure
		* Install log under /home/user/MyDocs/mymenu.log

    0.4.3
		* Folder will just list if there is an application for it
		* Translation for following languages: en_GB, en_US, es_MX, nl_NL, pt_BR, no_NO, fi_FI, it_IT, fr_CA, da_DK, pt_PT, sv_SE, fr_FR, es_ES,ru_RU, de_DE 
		* change of the *.directory files to /usr/share/applications/hildon/directory
		* no multiple invocations of update-menu
		* new icon-set
		* change Section: x11 to Section: user/desktop

=== debian/control ===
Source: mymenu
Section: user/desktop
Priority: optional
Maintainer: Manfred Weisz <maemo@3ion.at>
Build-Depends: 
Standards-Version: 0.4.4


Package: mymenu
Architecture: armel
Depends: 
Description: Change Menu structure
 Change the menu structure of Maemo 5
  include a update funktion for new Apps

## mymenu 0.4.4-3

=== debian/changelog ===
mymenu (0.4.4-3) stable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Manzn <maemo@3ion.at>  Sun, 14 Jan 2010 00:01:17 +0100

    0.4.4-2
		* Set depence for Wget - was missing
    
    0.4.4-1
		* Check for Error after Install or Update
		** if there is an Error MyMenu change back to the original menu structure
		* Install log under /home/user/MyDocs/mymenu.log

    0.4.3
		* Folder will just list if there is an application for it
		* Translation for following languages: en_GB, en_US, es_MX, nl_NL, pt_BR, no_NO, fi_FI, it_IT, fr_CA, da_DK, pt_PT, sv_SE, fr_FR, es_ES,ru_RU, de_DE 
		* change of the *.directory files to /usr/share/applications/hildon/directory
		* no multiple invocations of update-menu
		* new icon-set
		* change Section: x11 to Section: user/desktop

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mymenu
 Architecture: armel
-Depends: 
+Depends: wget (>=1.10.2-2osso3)
 Description: Change Menu structure
  Change the menu structure of Maemo 5
   include a update funktion for new Apps

## mymenu 0.4.5

=== debian/changelog ===
mymenu (0.4.5) stable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Manzn <maemo@3ion.at>  Sun, 04 Feb 2010 18:58:17 +0100


    0.4.5
		* Set depence for  Maemo 5 (2.2009.51-1)
		* change MyMenu from System to /home/user/.config/menu
		* clear bug with moving other folder    
		* no restart of hildon-desktop needed
		* faster handling in the menustructur

    0.4.4-2
		* Set depence for Wget - was missing
    
    0.4.4-1
		* Check for Error after Install or Update
		** if there is an Error MyMenu change back to the original menu structure
		* Install log under /home/user/MyDocs/mymenu.log

    0.4.3
		* Folder will just list if there is an application for it
		* Translation for following languages: en_GB, en_US, es_MX, nl_NL, pt_BR, no_NO, fi_FI, it_IT, fr_CA, da_DK, pt_PT, sv_SE, fr_FR, es_ES,ru_RU, de_DE 
		* change of the *.directory files to /usr/share/applications/hildon/directory
		* no multiple invocations of update-menu
		* new icon-set
		* change Section: x11 to Section: user/desktop

=== debian/control ===
Source: mymenu
Section: user/desktop
Priority: optional
Maintainer: Manfred Weisz <maemo@3ion.at>
Build-Depends: 
Standards-Version: 0.4.5


Package: mymenu
Architecture: armel
Depends: wget (>=1.10.2-2osso3), mp-fremantle-generic-pr (>=2.2009.51-1)
Description: Change Menu structure
 Change the menu structure of Maemo 5
  include a update funktion for new Apps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
OPT = /opt/menu-update
ICONS = /usr/share/icons/hicolor/48x48/hildon
DIRS = /usr/share/applications/hildon/directory
DESK = /usr/share/applications/hildon
MENU = /opt/menu-update


configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

#	$(MAKE) mymenu-update-info

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/rockpaperscissors.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/
	cp -a icons/* $(CURDIR)/debian/mymenu$(ICONS)
	cp -a dirs/* $(CURDIR)/debian/mymenu$(DIRS)
	cp -a menu/* $(CURDIR)/debian/mymenu$(MENU)
#	mv mymenu-update-info $(CURDIR)/debian/mymenu$(MENU)
	cp -a inst/* $(CURDIR)/debian/mymenu$(MENU)/mymenu
	cp -a sudoers/* $(CURDIR)/debian/mymenu$(MENU)/mymenu/sudoers.d
	cp -a desktop/* $(CURDIR)/debian/mymenu$(DESK)

#	$(MAKE) mymenu-update-info

#	mv ../mymenu-update-info \
#	$(CURDIR)/debian/mymenu/opt/menu-update/mymenu/sudoers.d/



# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.	

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mymenu 0.4.5-1

=== debian/changelog ===
mymenu (0.4.5-1) stable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Manzn <maemo@3ion.at>  Sun, 04 Feb 2010 18:58:17 +0100


    0.4.5
		* Set depence for  Maemo 5 (2.2009.51-1)
		* change MyMenu from System to /home/user/.config/menu
		* clear bug with moving other folder    
		* no restart of hildon-desktop needed
		* faster handling in the menustructur

    0.4.4-2
		* Set depence for Wget - was missing
    
    0.4.4-1
		* Check for Error after Install or Update
		** if there is an Error MyMenu change back to the original menu structure
		* Install log under /home/user/MyDocs/mymenu.log

    0.4.3
		* Folder will just list if there is an application for it
		* Translation for following languages: en_GB, en_US, es_MX, nl_NL, pt_BR, no_NO, fi_FI, it_IT, fr_CA, da_DK, pt_PT, sv_SE, fr_FR, es_ES,ru_RU, de_DE 
		* change of the *.directory files to /usr/share/applications/hildon/directory
		* no multiple invocations of update-menu
		* new icon-set
		* change Section: x11 to Section: user/desktop
